<?php

/*
  Lista de banners
  // Creado por Pedro el 20/Marzo/2017
 */

class SuperListaBanner {

    private $lista = Array();

    function __construct($condicion = "", $activo = 1) {
        include('comunes/globals.php');
        $idioma = Sesion::get("idioma");
        $idioma = ($idioma != NULL) ? $idioma : Shop::$configuracion->idioma;
        //Cargamos los datos que necesitamos del banner
        $sentencia_sql = "SELECT codigo
					  FROM banner 
					  WHERE condicion = '" . $condicion . "' AND activo = " . $activo . " AND idioma ='" . $idioma . "'
					  ORDER BY orden ASC";
        if ($conexionBD) {
            if ($resultado = mysqli_query($conexionBD, $sentencia_sql)) {
                while ($fila = mysqli_fetch_array($resultado)) {
                    $this->add(new Banner($fila["codigo"]));
                }
            }
        }
    }

    function __destruct() {
        unset($this->lista);
    }

    function add($element = NULL) {
        if ($element != NULL) {
            $this->lista[] = $element;
        }
        return(true);
    }

    function remove($index){
        if (isset($this->lista[$index])){
            array_splice ($this->lista, $index, 1);
            return(true);
        }else{
            return(false);
        }
        
    }
    
    function get($index){
        if (isset($this->lista[$index])){
            return($this->lista[$index]);
        }else{
            return(NULL);
        }
    }
    
    function set($index, $element){
        $this->lista[$index] = $element;
        return(true);
    }
}

?>